#
# Cookbook Name:: krb5
# Recipe:: users_from_databag
#
# Copyright © 2015 Cask Data, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

users = search(node['krb5']['users']['data_bag_name'].to_sym, "groups:#{node['krb5']['users']['data_bag_group']}")

users.each do |u|
  krb5_principal "#{u['id']}@#{node['krb5']['krb5_conf']['libdefaults']['default_realm'].upcase}" do
    action :create
    password u['password'] unless u['password'].nil?
  end
end
